libpst.so.4: pst_item_appointment Struct Reference

libpst.so.4

Data Fields
pst_item_appointment Struct Reference

This contains the appointment related mapi elements. More...

`#include <libpst/libpst.h>`

Collaboration diagram for pst_item_appointment:
[legend]

## Data Fields
FILETIME * | start
| mapi element 0x820d PR_OUTLOOK_EVENT_START_DATE More...
FILETIME * | end
| mapi element 0x820e PR_OUTLOOK_EVENT_START_END More...
pst_string | location
| mapi element 0x8208 PR_OUTLOOK_EVENT_LOCATION More...
int | alarm
| mapi element 0x8503 PR_OUTLOOK_COMMON_REMINDER_SET More...
FILETIME * | reminder
| mapi element 0x8560 More...
int32_t | alarm_minutes
| mapi element 0x8501 PR_OUTLOOK_COMMON_REMINDER_MINUTES_BEFORE More...
pst_string | alarm_filename
| mapi element 0x851f More...
pst_string | timezonestring
| mapi element 0x8234 More...
int32_t | showas
| mapi element 0x8205 PR_OUTLOOK_EVENT_SHOW_TIME_AS More...
int32_t | label
| mapi element 0x8214 More...
int | all_day
| mapi element 0x8215 PR_OUTLOOK_EVENT_ALL_DAY More...
int | is_recurring
| mapi element 0x8223 PR_OUTLOOK_EVENT_IS_RECURRING More...
int32_t | recurrence_type
| mapi element 0x8231 More...
pst_string | recurrence_description
| mapi element 0x8232 recurrence description More...
pst_binary | recurrence_data
| mapi element 0x8216 recurrence data More...
FILETIME * | recurrence_start
| mapi element 0x8235 PR_OUTLOOK_EVENT_RECURRENCE_START More...
FILETIME * | recurrence_end
| mapi element 0x8236 PR_OUTLOOK_EVENT_RECURRENCE_END More...

## Detailed Description

This contains the appointment related mapi elements.

Definition at line 713 of file libpst.h.

## Field Documentation

## ◆ alarm

int pst_item_appointment::alarm

mapi element 0x8503 PR_OUTLOOK_COMMON_REMINDER_SET

- 1 true
- 0 false

Definition at line 723 of file libpst.h.

## ◆ alarm_filename

pst_string pst_item_appointment::alarm_filename

mapi element 0x851f

Definition at line 729 of file libpst.h.

## ◆ alarm_minutes

int32_t pst_item_appointment::alarm_minutes

mapi element 0x8501 PR_OUTLOOK_COMMON_REMINDER_MINUTES_BEFORE

Definition at line 727 of file libpst.h.

## ◆ all_day

int pst_item_appointment::all_day

mapi element 0x8215 PR_OUTLOOK_EVENT_ALL_DAY

- 1 true
- 0 false

Definition at line 754 of file libpst.h.

## ◆ end

FILETIME* pst_item_appointment::end

mapi element 0x820e PR_OUTLOOK_EVENT_START_END

Definition at line 717 of file libpst.h.

## ◆ is_recurring

int pst_item_appointment::is_recurring

mapi element 0x8223 PR_OUTLOOK_EVENT_IS_RECURRING

- 1 true
- 0 false

Definition at line 758 of file libpst.h.

## ◆ label

int32_t pst_item_appointment::label

mapi element 0x8214

- 0 None
- 1 Important
- 2 Business
- 3 Personal
- 4 Vacation
- 5 Must Attend
- 6 Travel Required
- 7 Needs Preparation
- 8 Birthday
- 9 Anniversary
- 10 Phone Call

Definition at line 750 of file libpst.h.

## ◆ location

pst_string pst_item_appointment::location

mapi element 0x8208 PR_OUTLOOK_EVENT_LOCATION

Definition at line 719 of file libpst.h.

## ◆ recurrence_data

pst_binary pst_item_appointment::recurrence_data

mapi element 0x8216 recurrence data

Definition at line 769 of file libpst.h.

## ◆ recurrence_description

pst_string pst_item_appointment::recurrence_description

mapi element 0x8232 recurrence description

Definition at line 767 of file libpst.h.

## ◆ recurrence_end

FILETIME* pst_item_appointment::recurrence_end

mapi element 0x8236 PR_OUTLOOK_EVENT_RECURRENCE_END

Definition at line 773 of file libpst.h.

## ◆ recurrence_start

FILETIME* pst_item_appointment::recurrence_start

mapi element 0x8235 PR_OUTLOOK_EVENT_RECURRENCE_START

Definition at line 771 of file libpst.h.

## ◆ recurrence_type

int32_t pst_item_appointment::recurrence_type

mapi element 0x8231

- 0 none
- 1 daily
- 2 weekly
- 3 monthly
- 4 yearly

Definition at line 765 of file libpst.h.

## ◆ reminder

FILETIME* pst_item_appointment::reminder

mapi element 0x8560

Definition at line 725 of file libpst.h.

## ◆ showas

int32_t pst_item_appointment::showas

mapi element 0x8205 PR_OUTLOOK_EVENT_SHOW_TIME_AS

- 0 free
- 1 tentative
- 2 busy
- 3 out of office

Definition at line 737 of file libpst.h.

## ◆ start

FILETIME* pst_item_appointment::start

mapi element 0x820d PR_OUTLOOK_EVENT_START_DATE

Definition at line 715 of file libpst.h.

## ◆ timezonestring

pst_string pst_item_appointment::timezonestring

mapi element 0x8234

Definition at line 731 of file libpst.h.

The documentation for this struct was generated from the following file:

- libpst/libpst.h